Subject: bug#44503: 27.1; image-scroll-up and image-scroll-down

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Nov 2020 17:26:02 +0200

> Date: Sat, 7 Nov 2020 09:16:22 -0600
> From: "Roland Winkler" <[email-masked]>
> 
> 
> My understanding of the doc strings of image-scroll-up and
> image-scroll-down is that the argument N should be a number, nil, or
> `-'."  However, these commands use (interactive "P") with
> prefix-numeric-value inside the body of these commands.  I suggest
> to document this behavior.  (I guess it is not very clean to use
> prefix-numeric-value inside the body of these commands.  But
> changing this behavior likely will break existing code that uses
> these commands.)
> 
> I realized this when I looked at doc-view's scrolling commands
> doc-view-scroll-up-or-next-page and
> doc-view-scroll-down-or-previous-page
> that likewise use (interactive "P"), contrary, to what the
> docstrings of these commands say, and I was surprised that this
> gives a meaningful behavior.  So these docstrings probably should be
> updated, too.

Thanks.  Can you suggest the changes to the relevant doc strings?